Bug 1560732 - Commands to enable and disable CTDB scripts are incorrect
Summary: Commands to enable and disable CTDB scripts are incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.z Batch Update 4
Assignee: Srijita Mukherjee
QA Contact: Vivek Das
Anjana KD
URL:
Whiteboard:
Depends On:
Blocks: 1672843
TreeView+ depends on / blocked
 
Reported: 2018-03-26 21:01 UTC by Dustin Black
Modified: 2019-06-03 05:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-03 05:12:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1291194 0 unspecified CLOSED (RHEL7) SELinux prevents ctdb from running commands to disable event scripts 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1292783 0 unspecified CLOSED (RHEL6) CTDB: SELinux: AVC's triggered while executing smbcontrol via 49.winbind script 2021-02-22 00:41:40 UTC

Internal Links: 1291194 1292783

Description Dustin Black 2018-03-26 21:01:58 UTC
In sections 7.2.2 and 7.2.3, the below example commands are given:

# onnode all ctdb disablescript 49.winbind
# onnode all ctdb disablescript 50.samba

# onnode all ctdb enablescript 50.samba
# onnode all ctdb enablescript 49.winbind


The syntax is inaccurate for the shipping CTDB version. These should be:

# onnode all ctdb event script disable 49.winbind
# onnode all ctdb event script disable 50.samba

# onnode all ctdb event script enable 50.samba
# onnode all ctdb event script enable 49.winbind


Note You need to log in before you can comment on or make changes to this bug.